Subject: bug#5958 closed by Jim Meyering <[email-masked]> (Re: bug#5958: Sort-8.4 bug)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 18 Apr 2010 08:48:01 +0000

This is an automatic notification regarding your bug report
which was filed against the coreutils package:

#5958: Sort-8.4 bug

It has been closed by Jim Meyering <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jim Meyering <[email-masked]> by
replying to this email.

-- 
5958: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5958
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5958: Sort-8.4 bug
From: Jim Meyering <[email-masked]>
To: [email-masked]
Cc: Santiago Rodriguez <[email-masked]>, [email-masked], Eric Blake <[email-masked]>
Date: Sun, 18 Apr 2010 10:47:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] wrote:
> Eric Blake writes:
>> On 04/16/2010 04:58 AM, Santiago Rodriguez wrote:
>> > I think I have found a bug in sort coreutils command. When I type
>> >
>> > sort -T /tmp +1 -2 +2rn -3 +0 -1<<EOF
>> > perra/S perra 2.200000
>> > perro/PS perra 4.400000
>> > EOF
>>
>> Thanks for the report; however, this is not a bug.
>>
>> The syntax 'sort +1' is obsolete.  You are better off rewriting your
>
> When you pry it from my cold dead hands...

It has been declared "obsolete" for a good reason: it is ambiguous.
If you require that syntax, use some other sort program.

Subject: Sort-8.4 bug
From: Santiago Rodriguez <[email-masked]>
To: [email-masked]
Date: Fri, 16 Apr 2010 12:58:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear sirs,

I think I have found a bug in sort coreutils command. When I type

sort -T /tmp +1 -2 +2rn -3 +0 -1<<EOF
perra/S perra 2.200000
perro/PS perra 4.400000
EOF

The result is:
perra/S perra 2.200000
perro/PS perra 4.400000

If I type
sort -T /tmp +1 -2 +2n -3 +0 -1<<EOF
perra/S perra 2.200000
perro/PS perra 4.400000
EOF

The result is the same. If I make the same executions with sort 5.0 it
works properly.

Setting or unsetting the LC_ALL=POSIX environment variable has no effect.

If you need more information, do not hesitate to ask.

Best regards,
Santiago Rodríguez.